#
# spec file for package octave-forge-netcdf
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define octpkg  netcdf
Name:           octave-forge-%{octpkg}
Version:        1.0.17
Release:        1.4
Summary:        NetCDF interface for Octave
License:        GPL-3.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://gnu-octave.github.io/packages/%{octpkg}/
Source0:        https://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  netcdf-devel
BuildRequires:  octave-devel >= 4.0.0
Requires:       octave-cli >= 4.0.0

%description
A MATLAB compatible NetCDF interface for Octave.
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%{octpackages_dir}/%{octpkg}-%{version}
%{octlib_dir}/%{octpkg}-%{version}

%changelog
* Mon Oct 30 2023 Atri Bhattacharya <badshah400@gmail.com>
- Update URL to point to 'https://gnu-octave.github.io/packages/'
* Mon Oct 16 2023 Atri Bhattacharya <badshah400@gmail.com>
- Update to version 1.0.17:
  * Fix compiling against Octave 9+
  * Add +netcdf package functions
  * minor doc updates
* Sun Oct  2 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 1.0.16:
  * Fix compiling Octave 8+
  * minor doc updates
* Thu Sep 15 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 1.0.15:
  * Update license to use GPLv3+
  * Add NC_VLEN processing as a user type
  * Add user manual
  * add warning in getVar if try to read negative
  * minor doc updates
  * Update requirement of octave version to 4.0+
* Fri Oct 23 2020 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 1.0.14:
  * Add NC_STRING type as an octave type
* Thu May  7 2020 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 1.0.13:
  * Update to depend on Octave 3.8+
  * Update for Octave 5 and newer
* Wed Jun  6 2018 badshah400@gmail.com
- Update to version 1.0.12:
  * Fix bug #51443: configure in dev octave 4.3.0+
* Fri Jun 10 2016 dmitry_r@opensuse.org
- Update to version 1.0.11
  * Bugfix release
* Sat Jun 20 2015 dmitry_r@opensuse.org
- Update to version 1.0.7
  * Cross-compilation support
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 1.0.6
